#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <sys/times.h>

#include "fnv/fnv.h"
#include "sha1/sha1.h"
#include "SuperFastHash/SuperFastHash.h"
#include "md5/md5.h"
#include "bob/lookup.h"

#define FRAMESIZE 4096

// Struct used to by the timer
struct tms tbuff;

// Struct with file information
struct stat sbuf;

// Struct to hold information about a page
typedef struct {
  int size;
  unsigned char *data;
} pageinfo_t;


// prototypes
void *readintomemory( int fd, size_t filesize);
pageinfo_t readpage(int fd, void *adr);
