#!/usr/bin/perl

my %hash_total;
my $collisions = 0;
my $pages = 0;

# Open the current input file
open(FILE, shift);

# Goes through the file reading one page a the time
while (<FILE>) {
    chop $_;
    $hash_total{$_} =  $hash_total{$_} + 1;
    $pages++;
}

# Close the file
close(FILE);

# Run through the array
foreach $key (keys %hash_total) {
    if ($hash_total{$key} > 1) {
	$collisions += $hash_total{$key};
    }
}

# Collisions
print "Pages      : $pages\n";
print "Collisions : $collisions\n";
printf("Procent    : %.1f\n", ($collisions/$pages)*100);