#!/usr/bin/env python

#small script that sums up memory sharing from a file

import sys

filename = sys.argv[1]
fh = open(filename, 'r')

zp = False
shared = 0
totalpages = 0
zeropages = 0

for line in fh.readlines():
	sline = line.strip()
	if sline == "ED":
		zp = True
	elif zp:
		val = int(sline)
		zeropages = val
	else:
		val = int(sline)
		shared += val 
		totalpages += val + 1



print "Total pages:\t\t" + str(totalpages)

percentage = (shared * 100.0) / totalpages
print "Shared pages:\t\t" + str(shared)
print "Percentage:\t\t" + str(percentage) + "%"

percentage = (zeropages * 100.0) / totalpages
print "Zero pages:\t\t" + str(zeropages)
print "Percentage:\t\t" + str(percentage) + "%"
